Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Try Vanilla Forums Cloud product

In this Discussion

Vanilla 2.6.1 is here with critical security patches. One of them has been publicly disclosed.

Upgrade to 2.5 problem - Vanilla addon can't be started [RESOLVED]

CaylusCaylus ✭✭
edited February 12 in Vanilla 2.5 Help

Hey everyone,

Slightly baffled why an upgrade is not working.
If I install a fresh 2.5 forum - everything works.
If I try to update my existing forum it complains that the addons can't be found:

The addon with key /applications/conversations could not be found and will not be started.
The addon with key /applications/vanilla could not be found and will not be started.

I reverted to Baseline theme and disabled all plugins.
I ran /utility/update, and I get a "success".

Any ideas what might go wrong?

Comments

  • R_JR_J Cheerleader & Troubleshooter Munich Moderator

    The typical pitfalls while updating are

    • file access rights
    • not cleaning file cache after an update
    • orphan files

    From your description I would assume you need to delete the contents of the /cache folder (except for the Smarty cache)

    Caylus
  • CaylusCaylus ✭✭
    edited February 12

    @R_J said:
    The typical pitfalls while updating are

    • file access rights
    • not cleaning file cache after an update
    • orphan files

    From your description I would assume you need to delete the contents of the /cache folder (except for the Smarty cache)

    >

    I'm not entirely sure what the problem was (it may be that earlier I deleted the entire cache folder, /including/ the Smarty cache), but it's solved now.

    If anyone has the same problem: I installed a completely fresh install of 2.5, copied the folders plugins and themes completely, and copied the .htaccess files and conf/config.php to the fresh installation (and deleted the contents of the cache folder /except/ the Smarty cache).

    It might also be the case there were some files that weren't supposed to be there anymore, the forum was upgraded from 2.0 to 2.2 to 2.3 to 2.5 over the years.

    Thanks for your help R_J!

    EDIT: I'm stupid and should learn to read instructions. I should have deleted class.settingscontroller.php first before upgrading, that's probably what caused my issues :/

    https://open.vanillaforums.com/discussion/comment/250819/#Comment_250819

Sign In or Register to comment.